Skip to content
217,552 profiles ranked

David Humphreys

Irish retired rugby union player · United Kingdom · On the map · Footballers · Born 1971 · age 55

David Humphreys MBE is an Irish former rugby union player. He played 72 times for Ireland, scoring 560 points, including 6 tries, and at the time of his international retirement was Ireland's most capped out-half.

David Humphreys is read about 30 times a day, in 8 languages.

A typical day, 30 days to 16 June 2026

The middle day of the days counted, so one week of news cannot move it. The line under it is the last 60 days, one point a day.

Something wrong?
Compare Claim

People around David

Also in Deutsch

Career 8

ClubYearsAppsGoals
Barbarian FC2003-2005633
Dungannon RFC1998-2001
London Irish RFC1997-199856277
Ireland men’s1996-2005560
Oxford University RFC1995
Ballymena RFC1994-1995
Queen's University RFC1992-1994
Ulster Rugby1992-20081631585

Media & music

Photos 1

Awards

Member of the Order of the British Empire

About this person

He played his club rugby for London Irish and Ulster, winning the 1998-99 Heineken Cup, the 2004 Celtic Cup and the 2005-06 Celtic League with the latter. Since retiring as a player he has served as director of rugby for Ulster and Gloucester, as a performance consultant with the Georgian Rugby Union, and Director of Performance Operations with the England and Wales Cricket Board. Since June 2024 he has been Performance Director of the IRFU.

Country
United Kingdom
Category
Footballers
Type
Football / Soccer Player
Status
Living
Dates
Born 1971 · age 55